Top models by cost
Top models by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
Top models by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_llm_analyticsscope?stringown returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.
"all""own"offset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timeprovider?array<>Filter to specific LLM telemetry providers.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
auth_mode?array<>The request has succeeded.
application/json- response
Ranked list by API-equivalent cost (USD list price of the usage) — an estimate, not billed spend.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/llm-top-models-by-cost?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'{ "items": [ { "name": "string", "cost": 0.1 } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}